### Hierarchy

- VehicleWindowCollection

## Index

### Constructors

- constructor

### Properties

- _owner
- _vehicleWindows

### Accessors

- AreAllWindowsIntact

### Methods

- getAllWindows
- getWindow
- hasWindow
- rollDownAllWindows
- rollUpAllWindows

## Constructors

### constructor

- new VehicleWindowCollection(owner: Vehicle): VehicleWindowCollection

- - Defined in models/VehicleWindowCollection.ts:12

  #### Parameters

  - ##### owner: Vehicle

  #### Returns VehicleWindowCollection

## Properties

### Private _owner

_owner: Vehicle

- Defined in models/VehicleWindowCollection.ts:6

### Private Readonly _vehicleWindows

_vehicleWindows: Map<VehicleWindowIndex, VehicleWindow> = ...

- Defined in models/VehicleWindowCollection.ts:7

## Accessors

### AreAllWindowsIntact

- get AreAllWindowsIntact(): boolean

- - Defined in models/VehicleWindowCollection.ts:36

  #### Returns boolean

## Methods

### getAllWindows

- getAllWindows(): (undefined | null | VehicleWindow)[]

- - Defined in models/VehicleWindowCollection.ts:23

  #### Returns (undefined | null | VehicleWindow)[]

### getWindow

- getWindow(index: VehicleWindowIndex): undefined | VehicleWindow

- - Defined in models/VehicleWindowCollection.ts:16

  #### Parameters

  - ##### index: VehicleWindowIndex

  #### Returns undefined | VehicleWindow

### hasWindow

- hasWindow(window: VehicleWindowIndex): boolean

- - Defined in models/VehicleWindowCollection.ts:52

  #### Parameters

  - ##### window: VehicleWindowIndex

  #### Returns boolean

### rollDownAllWindows

- rollDownAllWindows(): void

- - Defined in models/VehicleWindowCollection.ts:40

  #### Returns void

### rollUpAllWindows

- rollUpAllWindows(): void

- - Defined in models/VehicleWindowCollection.ts:46

  #### Returns void

Generated using TypeDoc